Docs
Search docs...⌘K

Page content

GET/v3/site-audit/page-content

This endpoint consumes a fixed cost of 50 API units per request.

Query parameters

selectstringRequired

A comma-separated list of columns to return. See response schema for valid column identifiers.

datestring

A timestamp in YYYY-MM-DDThh:mm:ss format specifying the crawl date to retrieve metrics from. Defaults to the most recent available crawl if omitted. For scheduled crawls, we return data from the latest crawl finished before the specified timestamp. For Always-on audit crawls, we return data as of the provided date and time. If the time component is omitted, it defaults to 00:00:00. The timestamp is interpreted in UTC.

target_urlstringRequired

The URL of the page to retrieve content for.

project_idintegerRequired

The unique identifier of the project. Only projects with verified ownership are supported. You can find the project ID in the URL of your Site Audit project in Ahrefs: https://app.ahrefs.com/site-audit/#project_id#

outputstring

The output format.

Allowed values:jsonphp

Responses

page-contentobject
crawl_datetimestring

The timestamp when the page was crawled.

page_textstring or null

The text extracted from the page content.

raw_htmlstring or null

The raw HTML of the page.

rendered_htmlstring or null

The rendered HTML of the page.